Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text
Interface Style

All Superinterfaces:
  AttributeSet, MutableAttributeSet

All Known Implementing Classes:
  StyleContext.NamedStyle

    public interface Style

extends MutableAttributeSet

A collection of attributes to associate with an element in a document. Since these are typically used to associate character and paragraph styles with the element, operations for this are provided. Other customized attributes that get associated with the element will effectively be name-value pairs that live in a hierarchy and if a name (key) is not found locally, the request is forwarded to the parent. Commonly used attributes are separated out to facilitate alternative implementations that are more efficient.

Nested Class Summary

Nested classes/interfaces inherited from interface javax.swing.text.AttributeSet
`AttributeSet.CharacterAttribute, AttributeSet.ColorAttribute, AttributeSet.FontAttribute, AttributeSet.ParagraphAttribute`

Field Summary

Fields inherited from interface javax.swing.text.AttributeSet
`NameAttribute, ResolveAttribute`

Method Summary
`void` | `addChangeListener(ChangeListener l)` Adds a listener to track whenever an attribute has been changed.
`String` | `getName()` Fetches the name of the style.
`void` | `removeChangeListener(ChangeListener l)` Removes a listener that was tracking attribute changes.

Methods inherited from interface javax.swing.text.MutableAttributeSet
`addAttribute, addAttributes, removeAttribute, removeAttributes, removeAttributes, setResolveParent`

Methods inherited from interface javax.swing.text.AttributeSet
`containsAttribute, containsAttributes, copyAttributes, getAttribute, getAttributeCount, getAttributeNames, getResolveParent, isDefined, isEqual`

Method Detail

### getName

    String getName()

  Fetches the name of the style. A style is not required to be named, so `null` is returned if there is no name associated with the style.

  Returns:
    the name

### addChangeListener

    void addChangeListener(ChangeListener l)

  Adds a listener to track whenever an attribute has been changed.

  Parameters:
    `l` - the change listener

### removeChangeListener

    void removeChangeListener(ChangeListener l)

  Removes a listener that was tracking attribute changes.

  Parameters:
    `l` - the change listener

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2009 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.